<!--==========================================================================
 Company:     Geon Technologies, LLC
 Author:      Kolton Fodel
 Copyright:   (c) 2018 Geon Technologies, LLC. All rights reserved.
              Dissemination of this information or reproduction of this
              material is strictly prohibited unless prior written
              permission is obtained from Geon Technologies, LLC
 Description: This file defines the microzed_20_cc HDL platform
===========================================================================-->

<HdlPlatform Language="VHDL" Spec="platform-spec" version='2'>
  <SpecProperty Name='platform' Value='microzed_20_cc'/>
  <SpecProperty name="nSlots" value='1'/>
  <SpecProperty name="slotNames" value='fmc_lpc'/>
  <!-- All platform workers must provide these two ports -->
  <MetaData Master="true"/>
  <TimeBase Master="true"/>
  <!-- This platform worker provides a control plane --> 
  <CPmaster master="true"/>
  <!-- Declare and parameterize the time_server device worker for this platform -->
  <Device Worker='time_server'>
    <Property Name='frequency' Value='100e6'/>
  </Device>
  <specproperty name='sdp_width' value='2'/>
  <property name='sdp_channels' parameter='true' default='4'/>
  <property name='use_acp' parameter='true' type='bool' default='false'/>
  <sdp name="zynq" master='true' count='sdp_channels'/>
  <property name='useGP1' type='bool' parameter='1' default='false'/>
  <property name="axi_error" type="bool" arraylength='4' volatile='true'/>
  <property name="sdpDropCount" type='uchar' volatile='true'/>
  <slot name='FMC' type='fmc_lpc'>
    <!-- We only mention signals that don't have the canonical signal name -->
    <signal slot='PRSNT_M2C_L' platform='PRSNT_L'/>
    <signal slot='LA00_P_CC' platform='LA00_CC_P'/>
    <signal slot='LA00_N_CC' platform='LA00_CC_N'/>

    <signal slot='LA01_P_CC' platform='LA01_CC_P'/>
    <signal slot='LA01_N_CC' platform='LA01_CC_N'/>

    <signal slot='LA17_P_CC' platform='LA17_CC_P'/>
    <signal slot='LA17_N_CC' platform='LA17_CC_N'/>

    <signal slot='LA18_P_CC' platform='LA18_CC_P'/>
    <signal slot='LA18_N_CC' platform='LA18_CC_N'/>

    <signal slot='DP0_C2M_P' platform=''/>
    <signal slot='DP0_C2M_N' platform=''/>

  </slot>
  <signal output='PL_LED1'/>
  <signal output='PL_LED2'/>
  <signal output='PL_LED3'/>
  <signal output='PL_LED4'/>
  <signal input='FMC_PRSNT_L'/>
</HdlPlatform>